"""empty message

Revision ID: c7a87a58a6ca
Revises: b73e2bb64fa6
Create Date: 2021-04-03 11:48:48.258712

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'c7a87a58a6ca'
down_revision = 'b73e2bb64fa6'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('files_files',
    sa.Column('created', sa.DateTime(), nullable=False),
    sa.Column('updated', sa.DateTime(), nullable=False),
    sa.Column('id', postgresql.UUID(), nullable=False),
    sa.Column('uri', sa.TEXT(), nullable=False),
    sa.Column('storage_class', sa.String(length=1), nullable=True),
    sa.Column('key', sa.Text(), nullable=False),
    sa.Column('version_id', postgresql.UUID(), nullable=False),
    sa.Column('_mimetype', sa.String(length=255), nullable=True),
    sa.Column('is_head', sa.Boolean(), nullable=False),
    sa.Column('size', sa.BIGINT(), nullable=True),
    sa.Column('checksum', sa.String(length=255), nullable=True),
    sa.Column('readable', sa.Boolean(), nullable=False),
    sa.Column('writable', sa.Boolean(), nullable=False),
    sa.Column('last_check_at', sa.DateTime(), nullable=False),
    sa.Column('last_check', sa.Boolean(), nullable=True),
    sa.Column('record_id', sa.String(length=50), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id', 'key', 'version_id'),
    sa.UniqueConstraint('uri')
    )
    op.create_index(op.f('ix_files_files__mimetype'), 'files_files', ['_mimetype'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_files_files__mimetype'), table_name='files_files')
    op.drop_table('files_files')
    # ### end Alembic commands ###
